LABS(3)

NAME
labs - long integer absolute value

SYNOPSIS

#include <stdlib.h>

long labs(long i);

DESCRIPTION

labs returns the absolute value of i (also called the magnitude of i). That is, if i is negative, the result is the opposite of i, but if i is nonnegative the result is i.

The similar function abs uses and returns int rather than long values.

RETURNS

The result is a nonnegative long integer.

PORTABILITY

labs is ANSI.

No supporting OS subroutine calls are required.